Вопросы с тегом 'jquery-migrate'

jQuery Migrate может использоваться для обнаружения и восстановления API, функций или функциональных возможностей, которые устарели в jQuery и удалены с версии 1.9.
3
ответов

Как остановить загрузку WordPress jQuery и jQuery-migrate?

WordPress загружает следующие 2 файла в wp_head(): <script type='text/javascript' src='http://example.com/wp-includes/js/jquery/jquery.js?ver=1.10.2'></script> <script type='text/javascript' src='http://example.com/wp-includes/js/jqu...
задан 24 авг. '13 в 20:44
2
ответов

Насколько хорошо переносится плагин jQuery с устаревшим кодом?

Мне скоро будет поручено перейти на jQuery 1.9. Тем не менее я знаю несколько мест, где мы живем(); переключения(); парить(); и браузер(); с рядом сюрпризов на пути, - уверен. Если я добавлю pluggin migrate, он продолжит выполнение старого кода или ...
задан 28 мая '13 в 19:29
1
ответ

JQuery Перенос резервной копии CDN

Чтобы увеличить скорость страницы, я использую Google CDN для загрузки файла jquery, и я также вернулся к загрузке jquery с локального сбоя, из-за которого сбой CDN Google. Ниже приведен пример использования резервной копии <script type="text/ja...
задан 19 авг. '13 в 11:37
4
ответов

Как использовать плагин jQuery Migrate

Я использую jquery 2.0, но хотел бы также использовать плагин миграции jQuery, чтобы мой сайт работал в старых браузерах. Тем не менее, я не увенчался успехом, чтобы заставить его работать. У меня есть следующее в разделе заголовка в моем html. <...
задан 19 февр. '14 в 17:00
1
ответ

Зачем мне jquery-migrate-1.4.1.js после успешного обновления jQuery?

Я закончил обновление jQuery с 1.3.1 до 1.12.4. Все работает правильно, и я готов удалить jquery-migrate-1.4.1.js, потому что я использовал его только для целей отладки во время процесса обновления. Когда я удаляю jquery-migrate-1.4.1.js из раздела ...
задан 25 окт. '17 в 23:53
0
ответов

Uncaught TypeError: Невозможно установить свойство "селектор" неопределенного

Я разрабатываю веб-сайт для своего друга в Wordpress, используя woocommerce, и когда я хотел интегрировать полосу, я заметил, что на странице проверки дается ошибка javascript, это говорит Uncaught TypeError: Cannot set property 'selector' of undefi...
задан 18 февр. '17 в 22:39
0
ответов

Миграция с "jquery-ui-1.10.3" на "jquery-ui-1.11.0"

Я только начал работать над старым проектом, который использовал jquery-ui 1.10.3. Теперь я хочу перейти на последнюю версию jquery-ui, то есть "jquery-ui-1.11.0". Но во время миграции есть много путаницы. Структура каталога обеих версий совершенн...
задан 02 июля '14 в 10:07
3
ответов

Как загрузить jQuery Migrate для jQuery через RequireJS?

Могу ли я загрузить jQuery через RequireJS? Я не понимаю, как можно корректно обрабатывать время. См. Этот пример: require([ 'jquery', 'jqmigrate' ], function ($) { if ($.browser.msie) {...} }); Разве возможно, что jqmigrate будет загружатьс...
задан 15 янв. '15 в 22:30
0
ответов

Невозможно устранить конфликт между CloudZoom v1.0.3 и кастомной загрузкой по умолчанию Bootstrap v2.3.1

Бутстрап-карусель и облачный зум работают, но только с первым изображением. Вот демонстрационная демонстрация проблемы... http://responsive.jquery-zen-cart.com/normandy/index.php?main_page=product_info&cPath=1_2_3_4&products_id=2 Хотя ссылк...
задан 19 марта '13 в 11:29
1
ответ

Mute jQuery Миграция в среде тестирования Ruby on Rails

Проект rails получает много сообщений JQMIGRATE при выполнении тестов, например: JQMIGRATE: jQuery.fn.attr(selected) may use property instead of attribute JQMIGRATE: jQuery.browser is deprecated Очевидно, было бы неплохо их исправить, но, похоже, ...
задан 21 авг. '13 в 5:21
3
ответов

Получить имя браузера jquery

Я использую jquery v1.9.1. Я знаю, что jquery.browser удален в 1.9, но я должен использовать это. Я использую плагин миграции для получения типа браузера. Его работа прекрасна, но для IE (11) и firefox (25+) jquery.browser показывает одно значение (...
задан 16 дек. '13 в 14:00
0
ответов

jquery 1.9 upgrade - изменение фокусного события

Могу ли я вслепую заменить мой .trigger("focus") на $("selector").get(0).focus() согласно этой статье? Порядок инициированных "фокусных" событий.
задан 12 марта '14 в 9:28
0
ответов

JQuery migrate 1.2.1 не работает с JQuery 1.10.x или выше

Мы обновляем большой проект от JQuery 1.8 до JQuery 1.11.x При попытке использовать плагин migrate он не имеет никакого эффекта выше 1.9.x. Мы проверили документацию, в которой говорится, что она должна работать для всех версий. Здесь пример, кото...
задан 23 сент. '14 в 18:36
2
ответов

Как добавить свойство к элементу?

Имея в виду добавление.prop() в jQuery, заменяющее.attr() для многих атрибутов/свойств boolean типа. Мой вопрос заключается в том, как добавить "Свойство" в следующий код? Следующий набор кода функционально выполняет то, что мне нужно, но в разделе...
задан 27 нояб. '14 в 17:44
1
ответ

Устранение предупреждения консоли "JQMIGRATE: jQuery.event.props.concat() устарел и удален" с помощью KendoUI (2018.2.515)

При обновлении jQuery от 1.9.1 до 3.1.1 usign jquery migrate plugin 3.0.0, я получаю предупреждение консоли от плагина переноса, как показано ниже. Как это решить? Модернизация кендо через большой проект может быть очень болезненной.
задан 27 марта '18 в 18:58